{% extends "base/base.html" %}

{% block content %}

    <h1 class="page-header">Hi {{ user.username|capfirst }}</h1>

    <div class="col-md-6 well well-lg">
        {% if not user.character_set.exists %}
            <h2>The fundamentals (read me please)</h2>

            {% include 'help/fundamental_content.html' %}

            <hr>

            <h2>News</h2>
        {% endif %}
        {% for message in server_messages %}
            <h3>{{ message.title }}</h3>
            {{ message.html_content|safe }}
        {% empty %}
            <p>None configured.</p>
        {% endfor %}
    </div>

    <div class="col-md-6">
        <h2>Your characters ({{ user.character_set.count }}/4)</h2>
        <table class="table table-hover">
            <tbody>
                {% for character in user.character_set.all %}
                    <tr>
                        <td style="vertical-align: middle">
                            {{ character.get_html_name|safe }}
                            {% if character.unread_messages.exists %}
                                <span class="badge">
                                    <span class="glyphicon glyphicon-envelope" aria-hidden="true"></span>
                                    {{ character.unread_messages.count }}
                                </span>
                            {% endif %}
                            <br>
                            {{ character.get_profile_display|capfirst }}
                        </td>
                        <td style="vertical-align: middle">
                            {{ character.location }}, {{ character.location.tile }}

                            {% if character.paused and not character.can_unpause %}
                                <br>
                                Can not unpause yet.
                            {% endif %}

                            {% if not character.paused and character.hours_until_autopause < 48 %}
                                <br>
                                Autopause in
                                {{ character.hours_until_autopause|floatformat:"0" }} hours.
                            {% endif %}

                        </td>
                        <td style="vertical-align: middle" class="text-right">
                            {% if character.can_unpause %}
                                <form action="{% url 'character:unpause' %}" method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="character_id" value="{{ character.id }}">

                                    <button
                                            type="submit"
                                            class="btn btn-default"
                                            onclick="return confirm('Are you sure?')"

                                    >
                                        <span class="glyphicon glyphicon-pause" aria-hidden="true"></span>
                                        Unpause
                                    </button>
                                </form>
                            {% endif %}
                            {% if character.can_pause %}
                                <form action="{% url 'character:pause' %}" method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="character_id" value="{{ character.id }}">

                                    <button
                                            type="submit"
                                            class="btn btn-default"
                                            onclick="return confirm('Are you sure? Pausing your character will disband all its units and remove it from all positions and organizations. It can\'t be undone for 5 days.')"
                                    >
                                        <span class="glyphicon glyphicon-pause" aria-hidden="true"></span>
                                        Pause
                                    </button>
                                    <a
                                            href="{{ character.activation_url }}"
                                            class="btn btn-primary"
                                    >
                                        <span class="glyphicon glyphicon-log-in" aria-hidden="true"></span>
                                        Enter
                                    </a>
                                </form>
                            {% endif %}
                        </td>
                    </tr>
                {% empty %}
                    <tr><td colspan="100%">You don't have any... yet!</td></tr>
                {% endfor %}
            </tbody>

        </table>

        <p class="text-center">
            {% if can_create_character %}
                <a class="btn btn-primary"
                   href="{% url 'character:create' %}">
                    Create a new character
                </a>
            {% else %}
                You reached the character limit
            {% endif %}
        </p>
    </div>

{% endblock %}
